-- Setup
local loader = require("AdvTiledLoader.Loader")
loader.path = "maps/"
map = loader.load("desert.tmx")
tileLayer = map.layers["Ground"]
require ("mobs")
---------------------------------------------------------------------------------------------------
-- Fare ad inizio del livello in modo da assicurarsi che boxboy sia nel posto giusto
Boy.moveTile(0,0)
Boy.facing = "down"

---------------------------------------------------------------------------------------------------
-- Dichiarato come classe.
local TreeLevel = {}


---------------------------------------------------------------------------------------------------
-- Prepara camera e boxboy per il prossimo livello
function TreeLevel.nextLevel()
    global.tX = 0
    global.tY = 0
    Boy.tileX = 8
    Boy.tileY = 5
    Boy.moveTile(0,0)
    Boy.facing = "down"
    global.num=global.num+1
end

---------------------------------------------------------------------------------------------------
-- Aggiorna mappa.
function TreeLevel.update(dt)
    --Boy.keypressed() --I commented this out just so everything is in the main and mobs folder
end

---------------------------------------------------------------------------------------------------
-- Richiamato da  love.draw()
function TreeLevel.draw()
    local ftX, ftY = math.floor(global.tX), math.floor(global.tY)
    love.graphics.translate(ftX, ftY)
    map:autoDrawRange(ftX,ftY,1,100)
    map:draw()
    love.graphics.draw(Boy.image, Boy.quads[Boy.facing], Boy.x, Boy.y) 
end

---------------------------------------------------------------------------------------------------
return TreeLevel